Zuletzt bearbeitet vor 5 Tagen
von Margit Link-Rodrigue

VisualEditor

Erweiterung: VisualEditor

alle Erweiterungen

Übersicht
Beschreibung: Standard-Editor für MediaWiki
Status: beta Abhängigkeit: MediaWiki
Entwickler: MediaWiki Lizenz: MIT
Typ: MediaWiki Kategorie: Editor
Edition: BlueSpice free, BlueSpice pro, BlueSpice farm, BlueSpice cloud Version:

Funktionen / Anwendung[Bearbeiten | Quelltext bearbeiten]


Beschreibung[Bearbeiten | Quelltext bearbeiten]

VisualEditor (auch WYSIWYG-Editor genannt - "What You See is What You Get") ist ein Editor, mit dem Sie eine Wiki-Seite ohne Kenntnis von Wikitext bearbeiten können. Die Editorleiste ähnelt denen von häufig verwendeten Textverarbeitungsprogrammen.

Der VisualEditor in BlueSpice basiert auf der Erweiterung VisualEditor, erweitert diese aber um zahlreiche Funktionen:

  • Unterstützung vieler zusätzlicher Tags, wie z.B. Diagramme.
  • Vereinfachung von Dialogen, wie z.B. dem Upload-Dialog.
  • Leichtere Einbindung von dynamischen Inhalten und Vorlagen über die Funktion ContentDroplets.
  • Drag'n'Drop von Bildern und Dateien in den Text.
  • Tabellenfunktionen, wie Hintergrundfarben in Zellen.
  • Beenden des Editors mit einer Sicherheitsabfrage.
  • Integration des VisualEditors in andere Funktionen wie z.B. in Forms oder Social.

Nutzung / Funktionen[Bearbeiten | Quelltext bearbeiten]

Wenn VisualEditor aktiviert ist, wird dieser im Bearbeitungsmodus anstatt des Wikitext-Editors geladen.

Technische Information[Bearbeiten | Quelltext bearbeiten]

Konfiguration[Bearbeiten | Quelltext bearbeiten]

Bis BlueSpice 3.2.x: Der visuelle Editor benötigt den Node.js-Dienst Parsoid. Da dieser Dienst unter Umständen nicht auf jedem System installiert werden kann, ist der VisualEditor standardmäßig deaktiviert. Nach erfolgreicher Installation und Konfiguration von Parsoid kann der visuelle Editor aktiviert werden. Ab Bluespice 4.1.x: Parsoid wird für VisualEditor nicht mehr benötigt. VisualEditor ist standardmäßig aktiviert.

Rechte / Berechtigungen[Bearbeiten | Quelltext bearbeiten]

Anforderungen[Bearbeiten | Quelltext bearbeiten]

VisualEditor benötigt BlueSpiceFoundation.

Versuchen Sie es kostenlos mit unserem BlueSpice[Bearbeiten | Quelltext bearbeiten]

BlueSpice Demo.

Diskussionen